Skip to main content
POST
/
events
/
tickets
Create Ticket
curl --request POST \
  --url https://api.nuwebgroup.com/v1/events/tickets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventId": 1,
  "saleItemData": {
    "pricing": [],
    "totalStock": 500,
    "parentSaleItemId": null,
    "timeslots": [],
    "minOrderQuantity": 1,
    "maxOrderQuantity": 5,
    "scanningGracePeriod": 2,
    "multiplesOf": 2,
    "onSaleFrom": "2021-11-22 11:59:00",
    "onSaleUntil": "2021-11-22 11:59:00",
    "validFrom": "2021-11-22 11:59:00",
    "validUntil": "2021-11-22 11:59:00",
    "additionalInformation": "Lorem ipsum dolor sit amet"
  },
  "itemData": {
    "id": null,
    "name": "Lorem ipsum",
    "description": "Lorem ipsum dolor sit amet",
    "totalStock": 500,
    "hasUnlimitedStock": false,
    "requiresApproval": true
  }
}
'
{
  "data": {
    "type": "saleItems",
    "id": 1,
    "attributes": {
      "totalStock": 500,
      "currentStock": 500,
      "onSaleFrom": "2021-11-22T11:59:00.000000Z",
      "onSaleTo": "2021-11-22T11:59:00.000000Z",
      "validFrom": "2021-11-22T11:59:00.000000Z",
      "validUntil": "2021-11-22T11:59:00.000000Z",
      "scanningGracePeriod": 2,
      "minOrderQuantity": 1,
      "maxOrderQuantity": 5,
      "multiplesOf": 1,
      "orderColumn": null,
      "additionalInformation": "Lorem ipsum dolor sit amet",
      "attractsDiscount": true,
      "canBeDownloaded": true,
      "canAccessStream": false,
      "hideWhenOffSale": false,
      "hideWhenOutOfStock": false,
      "hideFromBoxOffice": false,
      "hideFromShop": false,
      "createdAt": "2021-11-22T11:59:00.000000Z",
      "updatedAt": "2021-11-22T11:59:00.000000Z"
    },
    "relationships": {
      "items": {
        "data": {
          "type": "items",
          "id": 1
        }
      }
    }
  },
  "included": [
    {
      "type": "items",
      "id": 1,
      "attributes": {
        "type": "ticket",
        "name": "Lorem ipsum",
        "description": "Lorem ipsum dolor sit amet",
        "totalStock": 500,
        "currentStock": 500,
        "hasUnlimitedStock": false,
        "requiresApproval": true,
        "createdAt": "2021-11-22T11:59:00.000000Z",
        "updatedAt": "2021-11-22T11:59:00.000000Z"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request body for creating a ticket sale item.

eventId
integer
saleItemData
object
itemData
object

Response

Successfully created the sale item.

data
object
included
object[]